Bug 1257050 - Missing information about firewalld service in Satellite 6.1 and 6.0 documentation
Missing information about firewalld service in Satellite 6.1 and 6.0 document...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs API Guide (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity medium (vote)
: GA
: 6.2
Assigned To: satellite-doc-list
satellite-doc-list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 03:25 EDT by Marcel Gazdík
Modified: 2016-10-24 00:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-24 00:24:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Gazdík 2015-08-26 03:25:08 EDT
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/Installation_Guide/sect-Red_Hat_Satellite-Installation_Guide-Prerequisites.html#form-Red_Hat_Satellite-Installation_Guide-Prerequisites-Required_Network_Ports

Section Number and Name: 
1.4.5. Required Network Ports
  |- Procedure 1.1
    |- B 


Describe the issue: 
In the section A of the procedure mentioned above, there is information about how to check if the firewall is running or not. But this information is not provided for RHEL 7 FirewallD as this service is different some of the customers can be confused.

Suggestions for improvement: 
Add similar section for the RHEL7 FirewallD

Make sure the firewalld service is started and enabled:
# systemctl start firewalld
# systemctl enable firewalld 

# systemctl start firewalld status
# firewalld.service - firewalld - dynamic firewall daemon
#    Loaded: loaded (/usr/lib/systemd/system/firewalld.service; enabled)
#    Active: inactive (dead) since Wed 2015-08-26 08:58:25 CEST; 23min ago
#  Main PID: 582 (code=exited, status=0/SUCCESS)
#    CGroup: /system.slice/firewalld.service

Commands: 1) start the service
          2) enable the service during boot
          3) example of status when the service is enabled

Additional information:
Comment 1 Stephen Wadeley 2015-12-10 17:24:33 EST
Thank you for raising this bug
Comment 2 Andrew Dahms 2016-10-24 00:24:00 EDT
Hi Marcel,

Thank you for raising this bug.

Instructions on how to set up the firewall on RHEL 7 systems using firewall-cmd are now available in the Satellite 6.2 documentation in locations such as the following -

https://access.redhat.com/documentation/en/red-hat-satellite/6.2/single/installation-guide#enabling_client_connections_to_satellite

Work on the Satellite documentation is currently focusing on the 6.2 version, so we do not have any plans to backport this content at current. I will close this bug for now, but please let us know if you have any further concerns.

Kind regards,

Andrew

Note You need to log in before you can comment on or make changes to this bug.